RunReveal

EnrichmentAppendRules appends new rules to an existing enrichment configuration in the workspace.

EnrichmentAppendRules appends new rules to an existing enrichment configuration in the workspace.

POST
/enrichments/appendrules

Request Body

application/jsonRequired

idstring

rulesarray<object>

curl -X POST "https://api.runreveal.com/enrichments/appendrules" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ]
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": "string",
  "success": true
}

EnrichmentCreate creates a new enrichment configuration in the workspace.

EnrichmentCreate creates a new enrichment configuration in the workspace.

POST
/enrichments/create

Request Body

application/jsonRequired

descriptionstring

displayNamestring

isActiveboolean

namestring

pathstring

rulesarray<object>

sourcesarray<string>

workspaceIDstring

curl -X POST "https://api.runreveal.com/enrichments/create" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "string",
    "displayName": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

EnrichmentDelete deletes an enrichment configuration from the workspace.

EnrichmentDelete deletes an enrichment configuration from the workspace.

DELETE
/enrichments/delete
curl -X DELETE "https://api.runreveal.com/enrichments/delete?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "createdAt": {},
      "description": "string",
      "displayName": "string",
      "id": "string",
      "isActive": true,
      "name": "string",
      "path": "string",
      "rules": [
        {
          "data": {
            "property1": "string",
            "property2": "string"
          },
          "id": "string",
          "pattern": "string",
          "type": "string"
        }
      ],
      "sources": [
        "string"
      ],
      "type": "string",
      "updatedAt": {},
      "workspaceID": "string"
    }
  ],
  "success": true
}

EnrichmentUpdateEnabled operation

POST
/enrichments/enable/toggle

Request Body

application/jsonRequired

idstring

isActiveboolean

curl -X POST "https://api.runreveal.com/enrichments/enable/toggle" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string",
    "isActive": true
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

EnrichmentGet returns an enrichment configuration in the workspace by ID.

EnrichmentGet returns an enrichment configuration in the workspace by ID.

GET
/enrichments/get
curl -X GET "https://api.runreveal.com/enrichments/get?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

EnrichmentList lists the enrichment configurations in the workspace.

EnrichmentList lists the enrichment configurations in the workspace.

GET
/enrichments/list
curl -X GET "https://api.runreveal.com/enrichments/list"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "createdAt": {},
      "description": "string",
      "displayName": "string",
      "id": "string",
      "isActive": true,
      "name": "string",
      "path": "string",
      "rules": [
        {
          "data": {
            "property1": "string",
            "property2": "string"
          },
          "id": "string",
          "pattern": "string",
          "type": "string"
        }
      ],
      "sources": [
        "string"
      ],
      "type": "string",
      "updatedAt": {},
      "workspaceID": "string"
    }
  ],
  "success": true
}

EnrichmentUpdate updates an existing enrichment configuration in the workspace, preserving existing rules if none are provided.

EnrichmentUpdate updates an existing enrichment configuration in the workspace, preserving existing rules if none are provided.

POST
/enrichments/update

Request Body

application/jsonRequired

descriptionstring

displayNamestring

idstring

isActiveboolean

namestring

pathstring

rulesarray<object>

sourcesarray<string>

workspaceIDstring

curl -X POST "https://api.runreveal.com/enrichments/update" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}